Upstream information

CVE-2021-2471 at MITRE

Description

Vulnerability in the MySQL Connectors product of Oracle MySQL (component: Connector/J). Supported versions that are affected are 8.0.26 and prior. Difficult to exploit vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Connectors. Successful attacks of this vulnerability can result in unauthorized access to critical data or complete access to all MySQL Connectors accessible data and unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Connectors. CVSS 3.1 Base Score 5.9 (Confidentiality and Availability impacts). CVSS Vector: (CVSS:3.1/AV:N/AC:H/PR:H/UI:N/S:U/C:H/I:N/A:H).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.9
Vector AV:N/AC:M/Au:S/C:C/I:N/A:C
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact Complete
Integrity Impact None
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.9 5.9
Vector CVSS:3.1/AV:N/AC:H/PR:H/UI:N/S:U/C:H/I:N/A:H CVSS:3.1/AV:N/AC:H/PR:H/UI:N/S:U/C:H/I:N/A:H
Access Vector Network Network
Access Complexity High High
Privileges Required High High
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1195557 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • mysql-connector-java >= 8.0.25-5.13.1
Patchnames:
HPE-Helion-OpenStack-8-2022-1142
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • mysql-connector-java >= 8.0.25-5.13.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-1142
SUSE OpenStack Cloud 8
  • mysql-connector-java >= 8.0.25-5.13.1
Patchnames:
SUSE-OpenStack-Cloud-8-2022-1142
SUSE OpenStack Cloud 9
  • mysql-connector-java >= 8.0.25-5.13.1
Patchnames:
SUSE-OpenStack-Cloud-9-2022-1142
SUSE OpenStack Cloud Crowbar 8
  • mysql-connector-java >= 8.0.25-5.13.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2022-1142
SUSE OpenStack Cloud Crowbar 9
  • mysql-connector-java >= 8.0.25-5.13.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2022-1142
openSUSE Leap 15.3
  • mysql-connector-java >= 5.1.47-3.6.1
Patchnames:
openSUSE-SLE-15.3-2022-658
openSUSE Tumbleweed
  • mysql-connector-java >= 8.0.28-1.1
Patchnames:
openSUSE Tumbleweed GA mysql-connector-java-8.0.28-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 mysql-connector-java Released
SUSE Linux Enterprise Point of Service 11 SP3 mysql Ignore
SUSE Linux Enterprise Server 11 SP4 LTSS mysql Ignore
SUSE Linux Enterprise Server 12 SP5 mysql-connector-java Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mysql-connector-java Released
SUSE Linux Enterprise Software Development Kit 12 SP5 mysql-connector-java Released
SUSE OpenStack Cloud 8 mysql-connector-java Released
SUSE OpenStack Cloud 9 mysql-connector-java Released
SUSE OpenStack Cloud Crowbar 8 mysql-connector-java Released
SUSE OpenStack Cloud Crowbar 9 mysql-connector-java Released